summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNed Ludd <solar@gentoo.org>2004-08-23 04:42:42 +0000
committerNed Ludd <solar@gentoo.org>2004-08-23 04:42:42 +0000
commit12f636204903a7d2026f46098448358420dbac67 (patch)
treecf64b33d31d7003f06b24eab61f4f86d049aed6e /scripts
parentAdded ~sparc keyword. (Manifest recommit) (diff)
downloadgentoo-2-12f636204903a7d2026f46098448358420dbac67.tar.gz
gentoo-2-12f636204903a7d2026f46098448358420dbac67.tar.bz2
gentoo-2-12f636204903a7d2026f46098448358420dbac67.zip
a flat profile is a cascaded profile with one level
Diffstat (limited to 'scripts')
-rw-r--r--scripts/bootstrap-cascade.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/scripts/bootstrap-cascade.sh b/scripts/bootstrap-cascade.sh
index 109ad6d975c4..6bb896b168b0 100644
--- a/scripts/bootstrap-cascade.sh
+++ b/scripts/bootstrap-cascade.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2004 Gento Foundation.
# Distributed under the terms of the GNU General Public License, v2
-# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap-cascade.sh,v 1.13 2004/08/19 14:38:25 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap-cascade.sh,v 1.14 2004/08/23 04:42:42 solar Exp $
# drobbins optimized this script at some point which made a bootstrap
# to complete 20 mins to 2 hours faster, depending on CPU. He did this
@@ -56,10 +56,11 @@ if [ ! -d "${MYPROFILEDIR}" ] ; then
exit 1
fi
-if [ ! -f "${MYPROFILEDIR}/parent" ] ; then
- echo "!!! Error: You must use 'bootstrap.sh' with non-cascading profiles. Exiting."
- exit 1
-fi
+# A flat profile is a cascaded profile with one level.
+#if [ ! -f "${MYPROFILEDIR}/parent" ] ; then
+# echo "!!! Error: You must use 'bootstrap.sh' with non-cascading profiles. Exiting."
+# exit 1
+#fi
# spython is 1.0_rc6 and earlier and python is 1.0 and later
[ -e /usr/bin/spython ] && PYTHON="/usr/bin/spython" || PYTHON="/usr/bin/python"